Skip to main content
Version: 5.3

Retrieving Information about Current Groups

GET /serverclasses

Get the list of available groups on Smart Beat Manager:

curl -k -XGET https://<SBM_HOST>:7769/serverclasses

Header Input Parameters

NameTypeDescription
AuthorizationstringBase64 login and password for Smart Beat Manager authorization

Output Parameters

Array of JSON objects.

Each object contains the following parameters:

NameTypeDescription
namestringGroup name
filtersstring arrayFilter list (criteria for Smart Beat membership in this group)
systemsstring arrayList of operating systems this group is intended for
connectedclientsstringNumber of Smart Beat instances connected to this group

Supported Errors

{
"name": "linux",
"filters": [
"137.12.23.9",
"146.34.32.1",
"133.133.133.130"
],
"apps": [
"filebeat",
"scriptbeat"
],
"systems": [
"linux"
],
"connectedclients": 5
}

GET /serverclasses/<group name>

Get detailed information about a specific group:

curl -k -XGET https://<SBM_HOST>:7769/serverclasses/<group name>

Header Input Parameters

NameTypeDescription
AuthorizationstringBase64 login and password for Smart Beat Manager authorization

Output Parameters

Array of JSON objects.

Each object contains the following parameters:

NameTypeDescription
namestringGroup name
filtersstring arrayFilter list (criteria for Smart Beat membership in this group)
systemsstring arrayList of operating systems this group is intended for
connectedclientsobject arrayConnected Smart Beat instances in this group

Objects in the connectedclients array have the following structure:

NameTypeDescription
ipstringSmart Beat IP address
dnsstringSmart Beat DNS
hostnamestringSmart Beat hostname
systemstringSmart Beat operating system
guidstringUnique Smart Beat identifier
timestampstringSmart Beat last connection time

Supported Errors

StatusError contentError description
500<response write error>Internal server error
400Group not existGroup with the name from URL does not exist

Examples

Example output parameters:

{
"name": "137",
"filters": [
"172.17.0.137"
],
"apps": [
"filebeat_1"
],
"systems": ["windows"],
"connectedclients": [
{
"ip": "172.17.0.137",
"hostname": "Test-Windows",
"dns": "Test-WINDOWS",
"guid": "4a8cd520-8218-4614-a810-a4bd5da307ce",
"system": "windows",
"timestamp": "2020-01-01 00:00:35"
}
]
}